### Function

# AppStream is_spdx_license_exception_id

since: 0.12.10

#### Declaration [src]

    gboolean
    as_is_spdx_license_exception_id (
      const gchar* exception_id
    )

#### Description [src]

Searches the known list of SPDX license exception IDs.

Available since: 0.12.10

#### Parameters

`exception_id`

  Type: `const gchar*`

  A single SPDX license exception ID, e.g. “GCC-exception-3.1”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the string is a valid SPDX license exception ID.